package org.wfc.user.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.wfc.common.core.web.controller.BaseController;
import org.wfc.common.core.web.domain.AjaxResult;
import org.wfc.common.core.web.page.TableDataInfo;
import org.wfc.user.domain.URateLimit;
import org.wfc.user.service.IURateLimitService;

import java.util.List;

/**
 * <p>
 * 用户平台-带宽限速表 前端控制器
 * </p>
 *
 * @author sys
 * @since 2024-12-20
 */
@RestController
@RequestMapping("/rateLimit")
public class URateLimitController extends BaseController {

    @Autowired
    public IURateLimitService uRateLimitService;

    @GetMapping("/page")
    public TableDataInfo page(URateLimit uRateLimit) {
        startPage();
        List<URateLimit> list = uRateLimitService.list();
        return getDataTable(list);
    }

    @GetMapping("/list")
    public AjaxResult list(URateLimit uRateLimit) {
        List<URateLimit> list = uRateLimitService.list();
        return success(list);
    }

}
